Get transcript
curl --request GET \
--url https://api.fathom.ai/external/v1/recordings/{recording_id}/transcript \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.fathom.ai/external/v1/recordings/{recording_id}/transcript"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.fathom.ai/external/v1/recordings/{recording_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transcript": [
{
"speaker": {
"display_name": "Alice Johnson",
"matched_calendar_invitee_email": "alice.johnson@acme.com"
},
"text": "Let's revisit the budget allocations.",
"timestamp": "00:05:32"
}
]
}Recordings
Get transcript
This endpoint has two behaviors depending on your request payload:
- If you send
destination_url, the endpoint will behave in an asynchronous manner. - If you do not send
destination_url, the endpoint will return the data directly.
GET
/
recordings
/
{recording_id}
/
transcript
Get transcript
Authorizations
ApiKeyAuthBearerAuth
Include your API key in the X-Api-Key header of every request.
Path Parameters
The ID of the meeting recording to fetch the transcript for.
Example:
123456789
Query Parameters
Destination URL for where we'll POST the transcript. If not sent, this endpoint will return the data directly.
Example:
"https://example.com/destination"
Response
Either the destination URL for where we'll POST the transcript, or the transcript for the recording as an array.
- Option 1
- Option 2
Show child attributes
Show child attributes

